public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Colin Walters <walters@fedoraproject.org>
To: git-commits@fedoraproject.org
Subject: [rpms/antlr3] epel10: add script
Date: Wed, 22 Jul 2026 19:36:59 GMT [thread overview]
Message-ID: <178474901962.1.13601497413942628120.rpms-antlr3-6d7e8eb1e80b@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/antlr3
Branch : epel10
Commit : 6d7e8eb1e80bb9c8a182701b13623d0b40b4abf0
Author : Colin Walters <walters@fedoraproject.org>
Date : 2008-11-10T14:43:16+00:00
Stats : +25/-0 in 1 file(s)
URL : https://src.fedoraproject.org/rpms/antlr3/c/6d7e8eb1e80bb9c8a182701b13623d0b40b4abf0?branch=epel10
Log:
add script
---
diff --git a/antlr3 b/antlr3
new file mode 100644
index 0000000..4c2e5f1
--- /dev/null
+++ b/antlr3
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# antlr3 script, modified from antlr script from:
+# JPackage Project <http://www.jpackage.org/>
+
+# Source functions library
+if [ -f /usr/share/java-utils/java-functions ] ; then
+ . /usr/share/java-utils/java-functions
+else
+ echo "Can't find functions library, aborting"
+ exit 1
+fi
+
+# Configuration
+MAIN_CLASS="org.antlr.Tool"
+BASE_FLAGS=""
+BASE_JARS="antlr.jar stringtemplate.jar antlr3.jar"
+
+# Set parameters
+set_jvm
+set_classpath $BASE_JARS
+set_flags $BASE_FLAGS
+
+# Let's start
+run "$@"
reply other threads:[~2026-07-22 19:36 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178474901962.1.13601497413942628120.rpms-antlr3-6d7e8eb1e80b@fedoraproject.org \
--to=walters@fedoraproject.org \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox